# DataExchange
TKSTEPBase
StepShape

# StepShape_TypeQualifier Class Reference

Added for Dimensional Tolerances
.

`#include <StepShape_TypeQualifier.hxx>`

## Public Member Functions

Standard_EXPORT | StepShape_TypeQualifier ()
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&name)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&name)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | theName

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_TypeQualifier::StepShape_TypeQualifier | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_TypeQualifier::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepShape_TypeQualifier::Init | ( | const Handle(TCollection_HAsciiString)& | name | ) |

Standard_EXPORT Handle_TCollection_HAsciiString StepShape_TypeQualifier::Name | ( |  | ) | const

Standard_EXPORT void StepShape_TypeQualifier::SetName | ( | const Handle(TCollection_HAsciiString)& | name | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepShape_TypeQualifier::theName `[private]`

The documentation for this class was generated from the following file:

- StepShape_TypeQualifier.hxx